For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet attachments
      • POSTCreate an attachment
      • GETGet an attachment by ID
      • DELDelete an attachment
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIAttachments

Get attachments

GET
/v:version/attachments
GET
/v:version/attachments
$curl -G https://test.api.solvimon.com/v1/attachments \
> -H "X-API-KEY: <apiKey>" \
> -d resource_type=resource_type \
> -d resource_id=resource_id
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "created_at": "string",
7 "document_id": "string",
8 "document": {
9 "object_type": "string",
10 "id": "string",
11 "created_at": "string",
12 "name": "string",
13 "description": "string",
14 "content_type": "string",
15 "file_size": 1,
16 "downloaded_at": "string"
17 },
18 "resource": {
19 "type": "PLATFORM",
20 "id": "string"
21 }
22 }
23 ]
24}
Requires the ATTACHMENT.VIEW permission.
Was this page helpful?
Previous

Create an attachment

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

resource_typestringRequired
Filter by resource type
resource_idstringRequired
Filter by resource ID
expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.

Response

OK
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error